#!/bin/sh
#COUNTDOWN=`date +%M`
#COUNTDOWN=`echo "60-$COUNTDOWN" | bc`
#STATUS="$COUNTDOWN menit lagi, habis itu  boleh tidur di sofa"
#STATUS="(`uptime | awk '{print \$1}'` up) `dcop amarok player nowPlaying`"

echo "amarok::trackchanged event" >> ~/log.txt

kopete_exist=`ps x|grep kopete`

if [ "$kopete_exist" == "" ]; then
  echo "Kopete is not available. Exiting" >> ~/log.txt
  exit
fi

# load settings
STATUSPREFIX=`source ../scripts/kopete-now-listening/getcfg.sh STATUSPREFIX`
NOFORCEONLINE=`source ../scripts/kopete-now-listening/getcfg.sh NOFORCEONLINE`
SETAVATAR=`source ../scripts/kopete-now-listening/getcfg.sh SETAVATAR`
SETAWAYMESSAGE=`source ../scripts/kopete-now-listening/getcfg.sh SETAWAYMESSAGE`
#---

if [ "$NOFORCEONLINE" == "0" ]; then
  AWAYPARAM="false"
else
  AWAYPARAM="true"
fi;

LASTSONG="/tmp/amarok-last-song"
LASTALBUM="/tmp/amarok-last-album"

if ! [[ -f "$LASTSONG"  ]]; then
    touch "$LASTSONG"
fi

if ! [[ -f "$LASTALBUM"  ]]; then
    touch "$LASTALBUM"
fi

prevsong=`cat $LASTSONG`
prevalbum=`cat $LASTALBUM`

cursong=`dcop amarok player nowPlaying`
curalbum=`dcop amarok player album`

STATUS="$STATUSPREFIX $cursong"
echo "$STATUS" >> ~/log.txt

if [ "$cursong" != "$prevsong" ]; then
	echo "$cursong" > "$LASTSONG"
	if [ "$SETAWAYMESSAGE" == "1" ]; then
     dcop kopete KopeteIface setAway "\"$STATUS\"" "$AWAYPARAM"
	  echo Sending: dcop kopete KopeteIface setAway "\"$STATUS\"" "$AWAYPARAM" >> ~/log.txt
   fi
	echo "Kopete Status: $STATUS" >> ~/log.txt
fi

#get the image from amarok
PICTURE=`dcop amarok player coverImage`
TMPFILE="/tmp/kopete-amarok-cover.png"

echo "Amarok is still using $PICTURE" >> ~/log.txt

#See if they differ and convert and update
if [ "$curalbum" != "$prevalbum" ] ; then
    echo "New image in amarok $PICTURE" >> ~/log.txt
    echo "$curalbum" > "$LASTALBUM"
    if [ -f "$PICTURE" ]; then
       convert -resize 96x96 "$PICTURE" "$TMPFILE"
       if [ "$SETAVATAR" == "1" ]; then
         dcop kopete KopeteIface setGlobalPhoto "$TMPFILE"
       fi
       #rm -f "$TMPFILE"
       cp "$PICTURE" ~/.kde/kopete-img
       #echo "resized to $TMPFILE"
    fi
fi
