#!/bin/bash

############################################################################
# Kopete Now Listening script for amaroK, Version 0.1
# Based of command script by
# (c) 2005 Andras Georgy Bekes <bekesa@sch.bme.hu>
#
# Original script could be found in http://blog.neofreko.com/index.php/2005/06/29/kopete-now-listening-plugin/
#
# Contributor:
# Akhmad Fathonih <akhmadf@gmail.com>
# Bona
# Gustavo Felisberto
############################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
############################################################################
WD=`pwd`
AMAROKDIR=`dirname $WD`

# immediately update status
echo "$AMAROKDIR/scripts/kopete-now-listening/kopete-amarok-status.sh" > ~/log.txt
`source "$AMAROKDIR/scripts/kopete-now-listening/kopete-amarok-status.sh"`

while [ 1 ]; do
   read notification || exit

   if [ "x$notification" == "xtrackChange" ]; then
      `source "$AMAROKDIR/scripts/kopete-now-listening/kopete-amarok-status.sh"`
   fi;
   if [ "x$notification" == "xconfigure" ]; then
      `kmdr-executor "$AMAROKDIR/scripts/kopete-now-listening/config.kmdr"`
   fi;
done
